# Dashboard for /win/work/Project/ecom/core/tools

## Classes

### Coverage Distribution

### Complexity

### Insufficient Coverage

Class | Coverage
--- | ---
AModule | 0%
HookEvent | 0%
ModuleManager | 19%
Hooks | 30%

### Project Risks

Class | CRAP
--- | ---
ModuleManager | 186
AModule | 156
Hooks | 81
HookEvent | 20

## Methods

### Coverage Distribution

### Complexity

### Insufficient Coverage

Method | Coverage
--- | ---
__get | 0%
isInHook | 0%
routeAdd | 0%
loadModule | 0%
getModuleFromId | 0%
listAvailableModules | 0%
uninstall | 0%
register | 0%
setEntity | 0%
setContext | 0%
registerHook | 0%
__get | 0%
__get | 0%
__construct | 0%
__get | 0%
trigger | 14%
__construct | 57%

### Project Risks

Method | CRAP
--- | ---
listAvailableModules | 30
trigger | 14
loadModule | 12
getModuleFromId | 12
__get | 12
isInHook | 12
__get | 12
__get | 12
routeAdd | 6
setEntity | 6
register | 6
setContext | 6
__get | 6
__construct | 5